Subject: Re: mmap problem

From: "Alexey Shinkin" <[email-masked]>
Date: Wed, 08 Dec 2004 13:28:30 +0600

Hi !

On Au1550 code like yours works

I use ioremap_nocache(PhysAddr,length)  to get access from kernel level.

For access from  userland I don't set any vm_flags in drivers' mmap() ,
  vma->vm_flags is set by kernel to  0x40FB (VM_IO is set and VM_LOCKED 
isn't).

And , as Dan said , pci_resource_* functions used for getting valid PCI 
memory address

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

---

From: Dmitriy Tochansky <[email-masked]>
Date: Wed, 8 Dec 2004 10:35:42 +0300

On Wed, 08 Dec 2004 13:28:30 +0600

> I use ioremap_nocache(PhysAddr,length)  to get access from kernel
  Yes, it works. Even just ioremap()
 
>   vma->vm_flags is set by kernel to  0x40FB (VM_IO is set and
>   VM_LOCKED isn't).
  I tryed it - same result. :(

> 
> And , as Dan said , pci_resource_* functions used for getting valid
> PCI memory address
  Done! :)